### Property

# Gio DBusConnection:exit-on-close

since: 2.26

#### Declaration

    property exit-on-close: gboolean [ read, write ]

#### Description

A boolean specifying whether the process will be terminated (by calling `raise(SIGTERM)`) if the connection is closed by the remote peer.

Note that `GDBusConnection` objects returned by `g_bus_get_finish()` and `g_bus_get_sync()` will (usually) have this property set to `TRUE`.

Type:`gboolean`

Available since: 2.26

Default value | FALSE
Getter method | `g_dbus_connection_get_exit_on_close()`
Setter method | `g_dbus_connection_set_exit_on_close()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no